Google: la firma halla uno de los errores de seguridad más graves en Android

La gran G manifestó que dispositivos de marcas como Samsung, Huawei, Motorola, Xiaomi, LG y OPPO, y hasta los mismos Pixel han sido por este error.

El equipo de Project Zero formado por ingenieros e investigadores de seguridad de Google descubrió uno de los errores de seguridad más grandes y graves en Android en los últimos tiempos. De hecho, un portavoz de la firma consideró este problema como “muy delicado” por la cantidad de dispositivos que están afectados y porque al parecer los cibercriminales ya le han sacado bastante provecho a esta vulnerabilidad.

Incluso, el equipo de Project Zero habitualmente acuerda hacer público el hallazgo de una fall, a la firma afectad, 90 días luego de reportarla con el fin de que tengan tiempo de arreglarla antes de publicar la información. No obstante, los de Project Zero le dieron 7 días al equipo de Android para solucionar el problema, pues el reporte se dio a dicho equipo el pasado 27 de septiembre.

¿Qué hace este error?

En la noticia se manifiesta que la vulnerabilidad se encuentra en el código del kernel de Android, que es como el corazón del sistema operativo, y puede aprovecharse para que un criminal obtenga acceso root al dispositivo.

Para que comprendas mejor, esta vulnerabilidad hace que alguien tenga total acceso a tu dispositivo, y que hasta pueda manejarlo desde lejos, todo esto sin que el usuario sepa que alguien más está accediendo a los datos del dispositivo.  

De nuevo, los de Project Zero creen estar seguros de que esta vulnerabilidad ya que se está usando en el mundo real y por eso dieron poco tiempo a Android para repararla, pues era una cuestión muy urgente por la cantidad de terminales afectados.

Esta es la lista de dispositivos que se ven afectados:

•             Pixel 1

•             Pixel 1 XL

•             Pixel 2

•             Pixel 2 XL

•             Huawei P20

•             Xiaomi Redmi 5A

•             Xiaomi Redmi Note 5

•             Xiaomi A1

•             Oppo A3

•             Moto Z3

•             Teléfonos Android Oreo LG

•             Samsung Galaxy S7

•             Samsung Galaxy S8

•             Samsung Galaxy S9

La lista es grande y son millones de afectados a nivel mundial, pero lo más peligroso es que esta lista no es la oficial, y puede extenderse a más modelos y dispositivos. De hecho, es posible que todos dispositivos con Android 8.0 Oreo y más nuevos sean vulnerables a este error.

En el caso de Google y Samsung, ya lanzaron una actualización de seguridad que arregla el error, lo que debes hacer es instalar el último parche de seguridad de octubre de ambas empresas.

Google ya hizo público el parche para sus aliados, pero depende de ellos lanzar la actualización a sus equipos. De igual forma, la gran G aclaró que los Pixel 3 y los Pixel 3a no corren peligro.

Dos veces el mismo fallo

La misma Google indicó que el mismo error había sido descubierto en diciembre de 2017, no obstante, salió de nuevo en futuras versiones del kernel de Android. Del mismo modo, se estima que esta vulnerabilidad se ha usado o vendido por el Grupo NSO de Israel, el cual está envuelto en un software malicioso que usan los gobiernos para espiar a periodistas y activistas.

Anuncios